
.loading-spinner {
    position: absolute;
    top: 50%; left: 50%;
    transform: translate(-50%, -50%);
    height: 55px; width: 55px;
    border: 4px solid var(--gray300);
    border-top: 4px solid var(--gray800);
    border-radius: 50%;
    animation: spinner 1.5s linear infinite;
}

@keyframes spinner {
    0% {
        transform: rotate(0deg);
    }
    100% {
      transform: rotate(360deg);
    }
}